<form [formGroup]="form" (ngSubmit)="submit()">

  <mat-form-field appearance="fill">
    <mat-label>ID</mat-label>
    <input id="id" matInput formControlName="id">
  </mat-form-field>
  <br>

  <mat-form-field appearance="fill">
    <mat-label>Name</mat-label>
    <input matInput id="name" class="form-control" type="text" formControlName="firstName" required/>
    <mat-hint align="end">
      <div *ngIf="form.controls.firstName.invalid && (form.controls.firstName.dirty || form.controls.firstName.touched)"
           class="alert alert-danger">
        <div *ngIf="form.controls.firstName.errors.required">
          Name is required.
        </div>
        <div *ngIf="form.controls.firstName.errors.minlength">
          Name must be at least 2 characters long.
        </div>
      </div>
    </mat-hint>
  </mat-form-field>
  <br>

  <mat-form-field appearance="fill">
    <mat-label>Surname</mat-label>
    <input matInput id="lastName" class="form-control" type="text" formControlName="lastName" required/>
    <mat-hint align="end">
      <div *ngIf="form.controls.firstName.invalid && (form.controls.firstName.dirty || form.controls.firstName.touched)"
           class="alert alert-danger">
        <div *ngIf="form.controls.firstName.errors.required">
          Surname is required.
        </div>
        <div *ngIf="form.controls.firstName.errors.minlength">
          Surname must be at least 2 characters long.
        </div>
      </div>
    </mat-hint>
  </mat-form-field>
  <br>

  <mat-form-field appearance="fill">
    <mat-label>E-mail</mat-label>
    <input matInput id="email" class="form-control" type="email" formControlName="email" required/>
    <mat-hint align="end">
      <div *ngIf="form.controls.email.invalid && (form.controls.email.dirty || form.controls.email.touched)"
           class="alert alert-danger">
        <div *ngIf="form.controls.email.errors.required">
          E-mail address is required.
        </div>
        <div *ngIf="form.controls.email.errors.maxlength">
          Email address to long
        </div>
        <div *ngIf="form.controls.email.errors.unique">
          E-mail address already in use.
        </div>
      </div>
    </mat-hint>
  </mat-form-field>
  <br>

  <mat-form-field appearance="fill">
    <mat-label>Department</mat-label>
    <mat-select formControlName="departmentId">
      <mat-option *ngFor="let dep of departments" [value]="dep.id">{{dep.title}}</mat-option>
    </mat-select>
  </mat-form-field>
  <br/>

  <mat-form-field appearance="fill">
    <mat-label>Position</mat-label>
    <mat-select formControlName="positionId">
      <mat-option *ngFor="let pos of positions" [value]="pos.id">{{pos.title}}</mat-option>
    </mat-select>
  </mat-form-field>
  <br/>

  <button mat-raised-button class="submitButton" type="submit" [disabled]="!form.valid">OK</button>
</form>
